dbXML API

## com.dbxml.db.core.query
Class CompilationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException
                  com.dbxml.db.core.DBException
                      com.dbxml.db.core.query.QueryException
                          com.dbxml.db.core.query.CompilationException

All Implemented Interfaces:
  java.io.Serializable

public final class CompilationException
extends QueryException

A CompilationException is thrown by a Query if for some reason, it can't compile the query being processed.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.dbxml.util.dbXMLException
`faultCode`

Constructor Summary
`CompilationException()`
`CompilationException(java.lang.String message)`
`CompilationException(java.lang.String message, java.lang.Throwable wrapped)`
`CompilationException(java.lang.Throwable wrapped)`

Methods inherited from class com.dbxml.util.dbXMLException
`getFaultCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompilationException

    public CompilationException()

### CompilationException

    public CompilationException(java.lang.Throwable wrapped)

### CompilationException

    public CompilationException(java.lang.String message)

### CompilationException

    public CompilationException(java.lang.String message,
                                java.lang.Throwable wrapped)

dbXML API

Copyright (c) 2004 The dbXML Group